unit Unit2;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, Grids, DBGrids, DB, DBTables, sctctrl, StdCtrls, Sctvar,
  Sctrep, ExtCtrls, Buttons, Sctbtn, DbChart, Teengine, Chart, Series;

type
  TChartForm = class(TForm)
    ItemsSource: TDataSource;
    ItemsTable: TTable;
    Panel1: TPanel;
    HorizBarSeries1: THorizBarSeries;
    Chart: TDBChart;
    DBGrid1: TDBGrid;
    OrdersTable: TTable;
    OrdersSource: TDataSource;
    DBGrid2: TDBGrid;
    ReportHeaderBand: TSctBand;
    ReportHeaderBandlevel: TSctLevel;
    PageHeaderBand: TSctBand;
    PageHeaderBandlevel: TSctLevel;
    DetailBand: TSctBand;
    DetailBandlevel: TSctLevel;
    PageFooterBand: TSctBand;
    PageFooterBandlevel: TSctLevel;
    ReportFooterBand: TSctBand;
    ReportFooterBandlevel: TSctLevel;
    ReportPage: TSctGrouppage;
    SctReport1: TSctReport;
    SctReportButton1: TSctReportButton;
    svarDateTime: TSctDateTimeVar;
    svarPage: TSctPageVar;
    DataSourceGuide: TSctDataSourceGuide;
    DataSourceGuide1: TSctDataSourceGuide;
    itemstableORDERNO: TSctdbvar;
    itemstableITEMNO: TSctdbvar;
    itemstablePARTNO: TSctdbvar;
    itemstableQTY: TSctdbvar;
    itemstableDISCOUNT: TSctdbvar;
    orderstableORDERNO: TSctdbvar;
    orderstableCUSTNO: TSctdbvar;
    orderstableSALEDATE: TSctdbvar;
    orderstableSHIPDATE: TSctdbvar;
    orderstableEMPNO: TSctdbvar;
    orderstableSHIPTOCONTACT: TSctdbvar;
    orderstableSHIPTOADDR1: TSctdbvar;
    orderstableSHIPTOADDR2: TSctdbvar;
    orderstableSHIPTOCITY: TSctdbvar;
    orderstableSHIPTOSTATE: TSctdbvar;
    orderstableSHIPTOZIP: TSctdbvar;
    orderstableSHIPTOCOUNTRY: TSctdbvar;
    orderstableSHIPTOPHONE: TSctdbvar;
    orderstableSHIPVIA: TSctdbvar;
    orderstablePO: TSctdbvar;
    orderstableTERMS: TSctdbvar;
    orderstablePAYMENTMETHOD: TSctdbvar;
    orderstableITEMSTOTAL: TSctdbvar;
    orderstableTAXRATE: TSctdbvar;
    orderstableFREIGHT: TSctdbvar;
    orderstableAMOUNTPAID: TSctdbvar;
    TSctvarlabel: TSctvarlabel;
    TSctTextLabel: TSctTextLabel;
    TSctvarlabel1: TSctvarlabel;
    TSctTextLabel1: TSctTextLabel;
    TSctvarlabel2: TSctvarlabel;
    TSctTextLabel2: TSctTextLabel;
    TSctvarlabel3: TSctvarlabel;
    TSctTextLabel3: TSctTextLabel;
    ChartBitmap: TSctExprvar;
    SctImageLabel1: TSctImageLabel;
    procedure OrdersSourceDataChange(Sender: TObject; Field: TField);
    procedure ChartBitmapGetData(oVar: TSctvar);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  ChartForm: TChartForm;

implementation

{$R *.DFM}

procedure TChartForm.OrdersSourceDataChange(Sender: TObject;
  Field: TField);
begin
  Chart.CheckDataSource( HorizBarSeries1 );
end;

procedure TChartForm.ChartBitmapGetData(oVar: TSctvar);
var
  Stream: TStream;
begin
  with TBitmap.Create do
  try
    Width := Chart.Width;
    Height := Chart.Height;
    Chart.Draw(Canvas, Rect(0,0,Width, Height));
    Stream := TMemoryStream.Create;
    try
      SaveToStream(Stream);
      oVar.AsStream := Stream;
    finally
      Stream.Free;
    end;
  finally
    free;
  end;
end;

end.
